CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [alternativ]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script.

När du skickar argument till calibre-debug som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

[ALTERNATIV]

--add-simple-plugin
    Lägg till en enkel insticksmodul (det vill säga en insticksmodul som består av bara en .py fil), genom att ange sökvägen till py-filen som innehåller insticksmodulskoden.

--command, -c
    Kör Python-kod.

--debug-device-driver, -d
    Felsöker enhetsidentifiering

--default-programs
    (Av)registrera calibre från Windows standardprogram. --default-programs = (register|unregister)

--diff
    Kör calibres diffverktyg. Exempelvis: calibre-debug --diff fil1 fil2

--edit-book, -t
    Starta calibre-verktyget "Redigera book" i felsökningsläge.

--exec-file, -e
    Kör Python-koden i fil.

--explode-book, -x
    Bryt isär boken i den angivna mappen. Användning: -x file.epub output_dir Exporterar boken som en samling HTML-filer och metadata som du kan redigera med standard HTML-redigeringsverktyg. Fungerar med EPUB-, AZW3-, HTMLZ- och DOCX-filer.

--export-all-calibre-data
    Exportera alla calibre-data (böcker/inställningar/insticksmoduler). Normalt kommer du att bli ombedd om exporteringsmappen och biblioteken att exportera. Du kan även ange dem som kommandoradsargument för att hoppa över frågorna. Använd absoluta sökvägar för exportmappen och biblioteken. Det speciella nyckelordet "all" kan användas för att exportera alla bibliotek.

--gui, -g
    Kör gränssnittet med felsökning aktiverat. Felsökningsloggar skrivs till stdout och stderr.

--gui-debug
    Kör gränssnittet med felsökningskonsol, loggning till angiven sökväg. Bara för intern användning, använd -g alternativet för att köra gränssnittet i felsökningsläge

--help, -h
    visa denna hjälptext och avsluta

--implode-book, -i
    Implodera en tidigare exploderad bok. Användning: -i output_dir file.epub Importerar boken från filerna i output_dir som måste ha skapats av ett tidigare anrop till --explode-book. Var noga med att ange samma filtyp som användes vid exploderande.

--import-calibre-data
    Importera tidigare exporterade calibre-data

--inspect-mobi, -m
    Undersök MOBI-filen eller MOBI-filerna i den angivna sökvägen eller de angivna sökvägarna

--paths
    Mata ut nödvändiga sökvägar för att konfigurera calibres miljö

--reinitialize-db
    Återinitiera calibre-databasen sqlite i angiven sökväg. Användbart vid återställning vid db-korruption.

--run-plugin, -r
    Kör en insticksmodul som ger ett kommandoradsgränssnitt. Till exempel: calibre-debug-r ”Lägg till böcker” -- file1 --option1 Allt efter -- kommer att skickas till insticksmodulen som argument.

--shutdown-running-calibre, -s
    Orsakar att en körande calibre-instans avslutas, om någon körs. Observera att om jobb körs, kommer de att avslutas tyst, så använd med försiktighet.

--subset-font, -f
    Deluppsättning av angivna typsnitt. Använd -- efter detta val för att skicka valet till programmet för deluppsättning av typsnitt.

--test-build
    Testa binärmoduler i bygge

--version
    visar programmets versionsnummer och avsluta

--viewer, -w
    Kör läsenheten i felsökningsläge

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal